<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.css.simulation.resource.scheduler.infra.db.mysql.mapper.SimulationManualProjectTaskMapper">


    <update id="updateSuccessState">
        update simulation_manual_project_task
        set run_state       = #{runState},
            run_result      = 'Success',
            return_scene_id = #{task.returnSceneId},
            score           = #{task.score},
            target_evaluate = #{task.targetEvaluate},
            score_explain   = #{task.scoreExplain},
            time_actual     = #{task.timeActual},
            score_explain   = #{task.timeCorrection},
            modify_user_id  = #{task.modifyUserId},
            modify_time     = #{task.modifyTime}
        where id = #{task.id}
    </update>
</mapper>
